Go to the latest version of this document.

# ``twisted`.`protocols`.`sip`.`IRegistry``

interface documentation

`class IRegistry(Interface): (source)`

Known implementations: `twisted.protocols.sip.InMemoryRegistry`

View In Hierarchy

Allows registration of logical->physical URL mapping.

Method | `getRegistrationInfo` | Get registration info for logical URL.
Method | `registerAddress` | Register the physical address of a logical URL.
Method | `unregisterAddress` | Unregister the physical address of a logical URL.

def getRegistrationInfo(logicalURL): (source)

Get registration info for logical URL.

Returns
Deferred of `Registration` object or failure of LookupError.

def registerAddress(domainURL, logicalURL, physicalURL): (source)

Register the physical address of a logical URL.

Returns
Deferred of `Registration` or failure with RegistrationError.

def unregisterAddress(domainURL, logicalURL, physicalURL): (source)

Unregister the physical address of a logical URL.

Returns
Deferred of `Registration` or failure with RegistrationError.